algorithmic modeling for Rhino
With VB.Net in RhinoCommon, what is the syntax for changing multiple properties of the Transform class? (and I'm sure there are other classes that have this issue). With the old vb.net you could say:
dim MyXform as New OnXform
Then you could effect any property by calling it:
MyXform.Rotation(...)
or
MyXform.Translation(...)
But now, with the Rhino.Geometry.Transform Class, the only way I can figure out to set properties is :
Dim MyTransform as New Rhino.Geometry.Transform
MyTransform = Rhino.Geometry.Transform.Translation(........)
And the only way to also do rotation or scale is to make an entirely new transform object and call another property like .Scale(...)
This seems inefficient.
What am I missing?
Thanks.
daniel
Tags:
Dim xform As Transform
xform = Transform.Translation(...)
geo.Transform(xform)
xform = Transform.Scale(...)
geo.Transform(xform)
geo.Transform(Transform.Translation(...))
geo.Transform(Transform.Scale(...))
Welcome to
Grasshopper
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
© 2024 Created by Scott Davidson. Powered by